# About

Table of Contents
=================

* [Introduction to Linux](./essential/readme.md#introduction-to-linux)
   * [Where does Linux originate from?](./essential/readme.md#where-does-linux-originate-from)
   * [Who is behind this project?](./essential/readme.md#who-is-behind-this-project)
   * [What is the deal with 'GNU-slash-Linux'?](./essential/readme.md#what-is-the-deal-with-gnu-slash-linux)
   * [Where can you <em>get</em> some Linux?](./essential/readme.md#where-can-you-get-some-linux)
   * [Debian](./essential/readme.md#debian)
* [How to create a virtual machine](./essential/readme.md#how-to-create-a-virtual-machine)
* [Breakdown of the Debian installation](./essential/readme.md#breakdown-of-the-debian-installation)
* [Exercise](./essential/readme.md#exercise)
* [Quick look at an idle system](./essential/readme.md#quick-look-at-an-idle-system)
* [Package managers](./essential/readme.md#package-managers)
   * [Graphical installation](./essential/readme.md#graphical-installation)
   * [Command line installation](./essential/readme.md#command-line-installation)
   * [Adding a secondary desktop environment](./essential/readme.md#adding-a-secondary-desktop-environment)
* [Changing the runlevel](./essential/readme.md#changing-the-runlevel)
* [Exercise](./essential/readme.md#exercise-1)
* [Guest additions](./essential/readme.md#guest-additions)
* [Introduction to the command line](./essential/readme.md#introduction-to-the-command-line)
   * [Compiled vs interpreted](./essential/readme.md#compiled-vs-interpreted)
   * [Note on file extensions](./essential/readme.md#note-on-file-extensions)
* [More about paths](./essential/readme.md#more-about-paths)
   * [Absolute and relative paths](./essential/readme.md#absolute-and-relative-paths)
   * [root and  / and /root are not the same thing](./essential/readme.md#root-and---and-root-are-not-the-same-thing)
* [Exercise](./essential/readme.md#exercise-2)
* [A pit stop to review what we've learned so far](./essential/readme.md#a-pit-stop-to-review-what-weve-learned-so-far)
* [Arguments and flags](./essential/readme.md#arguments-and-flags)
* [Getting help](./essential/readme.md#getting-help)
   * [Options](./essential/readme.md#options)
   * [Manuals](./essential/readme.md#manuals)
* [Exercise](./essential/readme.md#exercise-3)
* [Creating, modifying and deleting](./essential/readme.md#creating-modifying-and-deleting)
   * [Directories](./essential/readme.md#directories)
   * [Files](./essential/readme.md#files)
      * [nano](./essential/readme.md#nano)
      * [vi and vim](./essential/readme.md#vi-and-vim)
* [Exercise](./essential/readme.md#exercise-4)
* [Finding stuff](./essential/readme.md#finding-stuff)
   * [Finding files](./essential/readme.md#finding-files)
   * [Searching inside files](./essential/readme.md#searching-inside-files)
   * [Wildcards and regular expressions](./essential/readme.md#wildcards-and-regular-expressions)
* [Pipes and redirects](./essential/readme.md#pipes-and-redirects)
* [Users](./essential/readme.md#users)
   * [Adding and removing users](./essential/readme.md#adding-and-removing-users)
   * [Switching user](./essential/readme.md#switching-user)
* [Permissions](./essential/readme.md#permissions)
   * [Octal number system](./essential/readme.md#octal-number-system)
   * [Changing permissions](./essential/readme.md#changing-permissions)
   * [Changing ownership](./essential/readme.md#changing-ownership)
* [Remote control of a server](./essential/readme.md#remote-control-of-a-server)
   * [History](./essential/readme.md#history)
   * [SSH and SFTP](./essential/readme.md#ssh-and-sftp)
* [Bandit](./essential/readme.md#bandit)

# Planning

## Essential

### Day 1

* [Introduction to Linux](./essential/readme.md#introduction-to-linux)
   * [Where does Linux originate from?](./essential/readme.md#where-does-linux-originate-from)
   * [Who is behind this project?](./essential/readme.md#who-is-behind-this-project)
   * [What is the deal with 'GNU-slash-Linux'?](./essential/readme.md#what-is-the-deal-with-gnu-slash-linux)
   * [Where can you <em>get</em> some Linux?](./essential/readme.md#where-can-you-get-some-linux)
   * [Debian](./essential/readme.md#debian)
* [How to create a virtual machine](./essential/readme.md#how-to-create-a-virtual-machine)
* [Breakdown of the Debian installation](./essential/readme.md#breakdown-of-the-debian-installation)
* [Exercise](./essential/readme.md#exercise)
* [Quick look at an idle system](./essential/readme.md#quick-look-at-an-idle-system)
* [Package managers](./essential/readme.md#package-managers)
   * [Graphical installation](./essential/readme.md#graphical-installation)
   * [Command line installation](./essential/readme.md#command-line-installation)
   * [Adding a secondary desktop environment](./essential/readme.md#adding-a-secondary-desktop-environment)
* [Changing the runlevel](./essential/readme.md#changing-the-runlevel)
* [Exercise](./essential/readme.md#exercise-1)

### Day 2

* [Guest additions](./essential/readme.md#guest-additions)
* [Introduction to the command line](./essential/readme.md#introduction-to-the-command-line)
   * [Compiled vs interpreted](./essential/readme.md#compiled-vs-interpreted)
   * [Note on file extensions](./essential/readme.md#note-on-file-extensions)
* [More about paths](./essential/readme.md#more-about-paths)
   * [Absolute and relative paths](./essential/readme.md#absolute-and-relative-paths)
   * [root and  / and /root are not the same thing](./essential/readme.md#root-and---and-root-are-not-the-same-thing)
* [Exercise](./essential/readme.md#exercise-2)
* [A pit stop to review what we've learned so far](./essential/readme.md#a-pit-stop-to-review-what-weve-learned-so-far)
* [Arguments and flags](./essential/readme.md#arguments-and-flags)
* [Getting help](./essential/readme.md#getting-help)
   * [Options](./essential/readme.md#options)
   * [Manuals](./essential/readme.md#manuals)
* [Exercise](./essential/readme.md#exercise-3)
* [Creating, modifying and deleting](./essential/readme.md#creating-modifying-and-deleting)
   * [Directories](./essential/readme.md#directories)
   * [Files](./essential/readme.md#files)
      * [nano](./essential/readme.md#nano)
      * [vi and vim](./essential/readme.md#vi-and-vim)
* [Exercise](./essential/readme.md#exercise-4)

### Day 3

* [Finding stuff](./essential/readme.md#finding-stuff)
   * [Finding files](./essential/readme.md#finding-files)
   * [Searching inside files](./essential/readme.md#searching-inside-files)
   * [Wildcards and regular expressions](./essential/readme.md#wildcards-and-regular-expressions)
* [Pipes and redirects](./essential/readme.md#pipes-and-redirects)
* [Users](./essential/readme.md#users)
   * [Adding and removing users](./essential/readme.md#adding-and-removing-users)
   * [Switching user](./essential/readme.md#switching-user)
* [Permissions](./essential/readme.md#permissions)
   * [Octal number system](./essential/readme.md#octal-number-system)
   * [Changing permissions](./essential/readme.md#changing-permissions)
   * [Changing ownership](./essential/readme.md#changing-ownership)
* [Remote control of a server](./essential/readme.md#remote-control-of-a-server)
   * [History](./essential/readme.md#history)
   * [SSH and SFTP](./essential/readme.md#ssh-and-sftp)

### Day 4

* [Bandit](./essential/readme.md#bandit)

### Day 5

* [Bandit](./essential/readme.md#bandit)
* [Moving forward](./essential/readme.md#moving-forward)

## CCNA

### Day 1 - 5

* Idem as [essential](#essential)

### Day 6 - 8

* Networking on Debian

### Day 9 - 10

* bash scripting
* vim customization

